#pragma once
#include "Entity.h"
#define CS_ENEMY_BEE_CREATENAME L"CS_enemy_bee"
//ÃÛ·ä
class CS_Enemy_Bee :
    public Entity
{
public:
    CS_Enemy_Bee();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int ani_wait = 0;
    float moveSpeed = 0x300 / ts;
    std::vector<XMVECTOR> vecArr;
};

std::shared_ptr<Entity> CreateCS_Enemy_Bee();